onEvent('recipes', event => {
	event.remove({output: 'littlelogistics:vessel_detector'})
	event.shaped('1x littlelogistics:vessel_detector', [
		'SCS',
		'STS',
		'SSS'
	  ], {
		S: '#forge:stone',
		C: 'littlelogistics:spring',
        T: 'minecraft:redstone_torch'
	  })

	event.remove({output: 'littlelogistics:barge_dock'})
	event.shaped('1x littlelogistics:barge_dock', [
		'SSS',
		'SCS',
		'III'
	  ], {
		S: '#forge:stone',
		C: 'littlelogistics:spring',
        I: 'minecraft:iron_ingot'
	  })
})